// ----------------------------------------------------------------------------
// ASTVisitorOld.java
// Interface to abstract syntax tree visitors (outdated version).
// $Id: ASTVisitorOld.java,v 1.1 2011/09/30 15:47:37 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2008, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax;

/**
 * Interface to abstract syntax tree visitors (outdated version).
 */
public interface ASTVisitorOld
{
  /****************************************************************************
   * Visit an abstract syntax tree.
   * @param tree the node of the abstract syntax tree that is visited.
   * @return true iff no visit of child nodes is required any more.
   ***************************************************************************/
  public boolean visit(AST tree);
  
  // must not provide more specific visit() methods in this interface, 
  // because calls must be always directed to the AST method.
  // The AST method attempts the more generic methods before the more
  // specific ones. Consequently, generic methods in a class may be 
  // overridden in a subclass.
}
