// ----------------------------------------------------------------------------
// ProgramVariable.java
// Interface to any expression denoting a storage location.
// $Id: ProgramVariable.java,v 1.3 2010/01/21 17:15:48 schreine Exp $
//
// Author: Wolfgang Schreiner <Wolfgang.Schreiner@risc.uni-linz.ac.at>
// Copyright (C) 2009, Research Institute for Symbolic Computation (RISC)
// Johannes Kepler University, Linz, Austria, http://www.risc.uni-linz.ac.at
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------
package fmrisc.ProgramExplorer.Syntax.Logic;

import fmrisc.ProgramExplorer.Syntax.Name;

/**
 * 
 * Interface to any expression denoting a storage location.
 *
 */
public interface ProgramVariable extends Term, Formula
{
  /***************************************************************************
   * Get name of variable.
   * @return the name.
   **************************************************************************/
  public Name getName();
}
